/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version 1.3.40
 *
 * Do not make changes to this file unless you know what you are doing--modify
 * the SWIG interface file instead.
 * ----------------------------------------------------------------------------- */

package org.scilab.modules.completion;


 /** 
   * @author Allan CORNET
   * @copyright INRIA 2007
   */
public class CompletionJNI {

  /**
    * Constructor
    */
  protected CompletionJNI() {
	throw new UnsupportedOperationException();
  }

  static {
    try {
        System.loadLibrary("scicompletion");
    } catch (SecurityException e) {
		System.err.println("A security manager exists and does not allow the loading of the specified dynamic library :");
		e.printStackTrace(System.err);
	} catch (UnsatisfiedLinkError e)	{
		System.err.println("The native library scicompletion does not exist or cannot be found.");
		e.printStackTrace(System.err);
    }
  }

  public final static native String[] searchAllDictionaries(String jarg1);
  public final static native String[] searchFunctionsDictionary(String jarg1);
  public final static native String[] searchCommandsDictionary(String jarg1);
  public final static native String[] searchMacrosDictionary(String jarg1);
  public final static native String[] searchVariablesDictionary(String jarg1);
  public final static native String[] searchFilesDictionary(String jarg1);
  public final static native String[] searchHandleGraphicsPropertiesDictionary(String jarg1);
  public final static native String getPartLevel(String jarg1);
  public final static native String getFilePartLevel(String jarg1);
  public final static native String getCommonPart(String[] jarg1, int jarg2);
  public final static native String completelineforjava(String jarg1, String jarg2, boolean jarg3, String jarg4);
}
